POST api/Investor/v1/GetAccountTransactionReport
Request Information
URI Parameters
None.
Body Parameters
GetAccountTransactionReportRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId |
Unique identifier of customer. |
globally unique identifier |
None. |
| accountId |
Account-id for filtering transactions |
globally unique identifier |
None. |
| bookingDateBegin |
Starting date for bookings for filtering transactions |
date |
None. |
| bookingDateEnd |
End date for bookings for filtering transactions |
date |
None. |
| OrganizationCode | string |
None. |
|
| UserName | string |
None. |
|
| Password | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"customerId": "36fd9a60-415c-4635-b75e-4b8b2ba1849d",
"accountId": "e443d7c9-170e-4c19-ba6f-f770c10602a8",
"bookingDateBegin": "2026-11-18T22:09:48.1639605+00:00",
"bookingDateEnd": "2026-11-18T22:09:48.1639605+00:00",
"OrganizationCode": "sample string 2",
"UserName": "sample string 3",
"Password": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountTransactionReportRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Investor"> <OrganizationCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</OrganizationCode> <Password xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Password> <UserName xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</UserName> <accountId>e443d7c9-170e-4c19-ba6f-f770c10602a8</accountId> <bookingDateBegin>2026-11-18T22:09:48.1639605+00:00</bookingDateBegin> <bookingDateEnd>2026-11-18T22:09:48.1639605+00:00</bookingDateEnd> <customerId>36fd9a60-415c-4635-b75e-4b8b2ba1849d</customerId> </GetAccountTransactionReportRequest>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
GetAccountTransactionReportReply| Name | Description | Type | Additional information |
|---|---|---|---|
| Reply |
None. |
Response Formats
application/json, text/json
Sample:
{
"Reply": {
"Transactions": [
{
"Id": "e87e5c19-35bd-4103-a5ea-2bbb375cf761",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "e51b3e94-d51a-4008-b79f-3073fd4635e8",
"CustomerId": "ab40450e-295e-43bf-88b4-e0f9de6ac6dd",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"TypeEnum": 0,
"BookingDate": "2026-11-18T22:09:48.179586+00:00",
"ValueDate": "2026-11-18T22:09:48.179586+00:00",
"PaymentDate": "2026-11-18T22:09:48.179586+00:00",
"RegistrationDate": "2026-11-18T22:09:48.179586+00:00",
"ReverseTime": "2026-11-18T22:09:48.179586+00:00",
"LoanAllocationId": "3d8ae2c7-1884-43ef-b296-06bb341b101a",
"CounterpartySpecification": "sample string 11"
},
{
"Id": "e87e5c19-35bd-4103-a5ea-2bbb375cf761",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "e51b3e94-d51a-4008-b79f-3073fd4635e8",
"CustomerId": "ab40450e-295e-43bf-88b4-e0f9de6ac6dd",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"TypeEnum": 0,
"BookingDate": "2026-11-18T22:09:48.179586+00:00",
"ValueDate": "2026-11-18T22:09:48.179586+00:00",
"PaymentDate": "2026-11-18T22:09:48.179586+00:00",
"RegistrationDate": "2026-11-18T22:09:48.179586+00:00",
"ReverseTime": "2026-11-18T22:09:48.179586+00:00",
"LoanAllocationId": "3d8ae2c7-1884-43ef-b296-06bb341b101a",
"CounterpartySpecification": "sample string 11"
}
]
},
"Ok": true,
"ErrorMessage": "sample string 2",
"ErrorCode": "sample string 3",
"Message": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountTransactionReportReply xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Investor">
<ErrorCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</ErrorCode>
<ErrorMessage xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</ErrorMessage>
<Message xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Message>
<Ok xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">true</Ok>
<Reply>
<Transactions>
<AccountTransaction>
<AccountId>e51b3e94-d51a-4008-b79f-3073fd4635e8</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-11-18T22:09:48.179586+00:00</BookingDate>
<CounterpartySpecification>sample string 11</CounterpartySpecification>
<CurrencyCode>sample string 6</CurrencyCode>
<CustomerId>ab40450e-295e-43bf-88b4-e0f9de6ac6dd</CustomerId>
<Id>e87e5c19-35bd-4103-a5ea-2bbb375cf761</Id>
<LoanAllocationId>3d8ae2c7-1884-43ef-b296-06bb341b101a</LoanAllocationId>
<PaymentDate>2026-11-18T22:09:48.179586+00:00</PaymentDate>
<RegistrationDate>2026-11-18T22:09:48.179586+00:00</RegistrationDate>
<ReverseTime>2026-11-18T22:09:48.179586+00:00</ReverseTime>
<TypeEnum>NULL</TypeEnum>
<ValueDate>2026-11-18T22:09:48.179586+00:00</ValueDate>
</AccountTransaction>
<AccountTransaction>
<AccountId>e51b3e94-d51a-4008-b79f-3073fd4635e8</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-11-18T22:09:48.179586+00:00</BookingDate>
<CounterpartySpecification>sample string 11</CounterpartySpecification>
<CurrencyCode>sample string 6</CurrencyCode>
<CustomerId>ab40450e-295e-43bf-88b4-e0f9de6ac6dd</CustomerId>
<Id>e87e5c19-35bd-4103-a5ea-2bbb375cf761</Id>
<LoanAllocationId>3d8ae2c7-1884-43ef-b296-06bb341b101a</LoanAllocationId>
<PaymentDate>2026-11-18T22:09:48.179586+00:00</PaymentDate>
<RegistrationDate>2026-11-18T22:09:48.179586+00:00</RegistrationDate>
<ReverseTime>2026-11-18T22:09:48.179586+00:00</ReverseTime>
<TypeEnum>NULL</TypeEnum>
<ValueDate>2026-11-18T22:09:48.179586+00:00</ValueDate>
</AccountTransaction>
</Transactions>
</Reply>
</GetAccountTransactionReportReply>